import unittest
import os, sys

class MyTestCase(unittest.TestCase):
    def test_green_skill_list(self):
        green_skill_list = ['utbilda personal i att minska matsvinn', 'utveckla energibesparingsstrategier', 'forska om växter', 'installera värmepumpar', 'konstruera biomasseanläggningar', 'inspektera offshore-konstruktioner', 'hitta sätt att främja den biologiska mångfalden och djurens välbefinnande', 'utföra en genomförbarhetsstudie för system för fastighetsautomation', 'avlägsna kontaminerade material', 'följa förfaranden för kontroll av hälsofarliga ämnen', 'mäta träd', 'rädda djur', 'klimatsmart jordbruk', 'förbereda avtal om energiprestanda', 'undersöka geokemiska prover', 'solenergi', 'testa prov vid papperstillverkning', 'hantera tillstånd som rör markresurser', 'utföra en genomförbarhetsstudie av småskalig vindkraft', 'odla grödor till biomassa', 'säker användning av bekämpningsmedel', 'inspektera silosystem', 'tolka vetenskapliga data för att bedöma vattenkvalitet', 'miljöpolitik', 'säkerställa efterlevnad av miljölagstiftning', 'montera solpaneler', 'typer av tidvattenkraftverk', 'göra energibesiktningar', 'lagstadgade krav för fartyg', 'utarbeta förvaltningsplaner', 'tillämpa tekniker för hållbar jordbearbetning', 'typer av isoleringsmaterial', 'hitta sätt att minska föroreningarna', 'bedöma djurhantering', 'ge råd om miljöfrågor i samband med gruvdrift', 'vidta sedimentförebyggande åtgärder', 'grön IT', 'sköta biogasanläggning', 'använda vattendesinficeringsutrustning', 'testa vindturbinblad', 'utforma jordbrukspolitik', 'sociala allianser', 'säkerställa att livsmedelstillsatser är oskadliga', 'utveckla förfaranden för avfallshantering', 'samordna växthusmiljöer', 'fastställa ett lämpligt system för värme och kyla', 'transport av farliga material', 'påverkan från klimatförändringar', 'energibesparingspotential hos automatiserade växlingssystem', 'utforma ett soldrivet absorptionkylsystem']

        self.assertTrue('utbilda personal i att minska matsvinn' in green_skill_list)
        self.assertTrue('miljöpolitik' in green_skill_list)
        self.assertTrue('testa vindturbinblad' in green_skill_list)

        self.assertFalse('Sara' in green_skill_list)
        self.assertFalse('Sara' in green_skill_list)
        self.assertFalse('Sara' in green_skill_list)

    def test_skill_tax_list(self):
        skill_tax_list = [{'id': 'dmF5_zy7_Utt', 'type': 'skill', 'preferred_label': 'Berglastning', 'alternative_labels': [], 'hidden_labels': []}, {'id': 'hd6P_B62_pFX', 'type': 'skill', 'preferred_label': 'Certifierad innovationsledare', 'alternative_labels': [], 'hidden_labels': []}, {'id': 'AMNM_t38_qWe', 'type': 'skill', 'preferred_label': 'Terrängparkdesign', 'alternative_labels': [], 'hidden_labels': []}, {'id': 'nFsS_wFt_zvB', 'type': 'skill', 'preferred_label': 'EASA-certifikat, kategori A3 (helikopter jetmotor)', 'alternative_labels': [], 'hidden_labels': []}, {'id': 'UW2F_AVV_faz', 'type': 'skill', 'preferred_label': 'EASA-certifikat, kategori B1.1 (flyg jetmotor)', 'alternative_labels': [], 'hidden_labels': []}, {'id': 'j1Yr_UhC_X16', 'type': 'skill', 'preferred_label': 'Arbetsledarerfarenhet', 'alternative_labels': [], 'hidden_labels': []}, {'id': '3TSx_fJE_Z26', 'type': 'skill', 'preferred_label': 'Projektledning, erfarenhet', 'alternative_labels': [], 'hidden_labels': []}, {'id': 'T5KD_ZPr_ysR', 'type': 'skill', 'preferred_label': 'Forskning, erfarenhet', 'alternative_labels': [], 'hidden_labels': []}, {'id': 'WWM6_QMA_eMc', 'type': 'skill', 'preferred_label': 'Utlandstjänstgöring, erfarenhet', 'alternative_labels': [], 'hidden_labels': []}, {'id': 'ksDx_Xcu_AHL', 'type': 'skill', 'preferred_label': 'A-certifikat, dykning, 40 m.', 'alternative_labels': [], 'hidden_labels': []}, {'id': 'c14d_Mgx_MFA', 'type': 'skill', 'preferred_label': 'A - Fullständig auktorisation', 'alternative_labels': [], 'hidden_labels': []}, {'id': 'Ltm5_5uM_1nx', 'type': 'skill', 'preferred_label': 'Ackompanjemang', 'alternative_labels': [], 'hidden_labels': []}, {'id': 'iyK1_MZu_aym', 'type': 'skill', 'preferred_label': 'Ada, programmeringsspråk', 'alternative_labels': ['Ada', 'Adautveckling'], 'hidden_labels': []}, {'id': 'uj9N_8yo_T72', 'type': 'skill', 'preferred_label': 'ADL-träning', 'alternative_labels': [], 'hidden_labels': []}, {'id': '78zA_BMJ_Xxp', 'type': 'skill', 'preferred_label': 'ADR-besiktning', 'alternative_labels': [], 'hidden_labels': []}, {'id': 'ENrQ_eiN_i3i', 'type': 'skill', 'preferred_label': 'ADR, tank', 'alternative_labels': [], 'hidden_labels': []}, {'id': 'yeXm_6v5_w3x', 'type': 'skill', 'preferred_label': 'Affischer, design', 'alternative_labels': [], 'hidden_labels': []}, {'id': '587c_D1Q_BvT', 'type': 'skill', 'preferred_label': 'Affärsrätt', 'alternative_labels': [], 'hidden_labels': []}, {'id': 'geRr_zq4_WJP', 'type': 'skill', 'preferred_label': 'Afrikansk dans', 'alternative_labels': [], 'hidden_labels': []}, {'id': 'e2Bn_ric_CQZ', 'type': 'skill', 'preferred_label': 'Aktuariekompetens', 'alternative_labels': [], 'hidden_labels': []}, {'id': 'm4ij_Bjw_6ik', 'type': 'skill', 'preferred_label': 'Akupunktur', 'alternative_labels': [], 'hidden_labels': []}, {'id': 'RJYu_zhD_Wcv', 'type': 'skill', 'preferred_label': 'Akustikisolering', 'alternative_labels': [], 'hidden_labels': []}, {'id': 'L2K6_Sov_V61', 'type': 'skill', 'preferred_label': 'Alcatel, telefonväxel', 'alternative_labels': [], 'hidden_labels': []}, {'id': 'xXHm_aE3_rHT', 'type': 'skill', 'preferred_label': 'Alt', 'alternative_labels': [], 'hidden_labels': []}, {'id': 'T2oG_9c3_CB5', 'type': 'skill', 'preferred_label': 'Altfiol', 'alternative_labels': [], 'hidden_labels': []}, {'id': 'VdMH_Tm8_CAa', 'type': 'skill', 'preferred_label': 'Aluminium, materialkunskap', 'alternative_labels': [], 'hidden_labels': []}, {'id': 'NFoE_Utb_KJk', 'type': 'skill', 'preferred_label': 'Ambulanssjukvårdsutbildning', 'alternative_labels': [], 'hidden_labels': []}, {'id': 'hxYY_aTA_edx', 'type': 'skill', 'preferred_label': 'Ammoniakkylning', 'alternative_labels': [], 'hidden_labels': []}, {'id': 'z2xC_xDc_SsU', 'type': 'skill', 'preferred_label': 'Analog elektronik', 'alternative_labels': [], 'hidden_labels': []}, {'id': 'Nwrk_3XY_Yur', 'type': 'skill', 'preferred_label': 'Analysteknik', 'alternative_labels': [], 'hidden_labels': []}, {'id': 'VQHQ_ScF_Fr5', 'type': 'skill', 'preferred_label': 'Analytisk kemi', 'alternative_labels': [], 'hidden_labels': []}, {'id': 'wjwY_9wu_nUH', 'type': 'skill', 'preferred_label': 'Anfångning', 'alternative_labels': [], 'hidden_labels': []}, {'id': 'MGkz_1cD_zcb', 'type': 'skill', 'preferred_label': 'Anläggningsdykning', 'alternative_labels': [], 'hidden_labels': []}, {'id': 'oPP6_byU_yyn', 'type': 'skill', 'preferred_label': 'Anläggningsteknik', 'alternative_labels': [], 'hidden_labels': []}, {'id': 'zwad_Sua_Ugk', 'type': 'skill', 'preferred_label': 'Anlöpning', 'alternative_labels': [], 'hidden_labels': []}, {'id': 'MiyM_dYh_Yy2', 'type': 'skill', 'preferred_label': 'Anrikning', 'alternative_labels': [], 'hidden_labels': []}, {'id': 'tXiX_tYU_gkE', 'type': 'skill', 'preferred_label': 'Tvätt- och städningsansvar', 'alternative_labels': [], 'hidden_labels': []}, {'id': 'AzJi_3Dp_Sm9', 'type': 'skill', 'preferred_label': 'Avtalsförsäkringar', 'alternative_labels': [], 'hidden_labels': []}, {'id': 'muUz_Uu5_aWu', 'type': 'skill', 'preferred_label': 'Ansvarsförsäkringar', 'alternative_labels': [], 'hidden_labels': []}, {'id': 'Dvf4_2eU_x43', 'type': 'skill', 'preferred_label': 'Antenner, installationsvana', 'alternative_labels': [], 'hidden_labels': []}, {'id': 'CTFz_4VM_y5H', 'type': 'skill', 'preferred_label': 'Apparatteknik', 'alternative_labels': [], 'hidden_labels': []}, {'id': 'AyNP_DoC_owX', 'type': 'skill', 'preferred_label': 'Arbetsmiljörätt', 'alternative_labels': [], 'hidden_labels': []}, {'id': 'fiLT_BSW_HCb', 'type': 'skill', 'preferred_label': 'Arbetsrätt', 'alternative_labels': [], 'hidden_labels': []}, {'id': '1HaS_S7D_8Kp', 'type': 'skill', 'preferred_label': 'Arbetssociologi', 'alternative_labels': [], 'hidden_labels': []}, {'id': 'RWx1_fdJ_QXA', 'type': 'skill', 'preferred_label': 'Arborrning, konventionell maskin', 'alternative_labels': [], 'hidden_labels': []}, {'id': 'o5n4_Kub_Rja', 'type': 'skill', 'preferred_label': 'Arkeologi', 'alternative_labels': [], 'hidden_labels': []}, {'id': 'udqs_kCm_YJ6', 'type': 'skill', 'preferred_label': 'Arkiv- och biblioteksverksamhet', 'alternative_labels': [], 'hidden_labels': []}, {'id': 'Em9g_vpP_fDo', 'type': 'skill', 'preferred_label': 'Arkivkunskap', 'alternative_labels': [], 'hidden_labels': []}, {'id': 'YimK_SJi_Dpx', 'type': 'skill', 'preferred_label': 'Arkskärning', 'alternative_labels': [], 'hidden_labels': []}, {'id': 'Q6ez_byQ_HQj', 'type': 'skill', 'preferred_label': 'Armering', 'alternative_labels': [], 'hidden_labels': []}]

        preferred_label_list = []
        for item in skill_tax_list:
            preferred_label_list.append(item["preferred_label"])

        self.assertTrue('Armering' in preferred_label_list)
        self.assertTrue('Anrikning' in preferred_label_list)
        self.assertTrue('Apparatteknik' in preferred_label_list)

        self.assertFalse('Sara' in preferred_label_list)
        self.assertFalse('Sara' in preferred_label_list)
        self.assertFalse('Sara' in preferred_label_list)
   

if __name__ == '__main__':
    unittest.main()

    


